<div id="section-{{ section.id }}" class="shopify-section" style="display: grid;" >
	
        <div>
            <div id="video_container" class="with-image video-full-screen scrollify-section" aria-hidden="true" style="display: flex;">
                <video width="100%" height="100%" id="video-1" muted loop preload="none"  poster playsinline webkit-playsinline>
                  <source type="video/mp4" src="" 
                          data-desktop-src="https://customizer.calamigosdrygoods.com/videos/video1/hero_desktop.mp4" 
                          data-mobile-src="https://customizer.calamigosdrygoods.com/videos/video1/hero_mobile.mp4">
                  Your browser does not support the video tag.
                </video>
              
                <div class="text-animation-wrapper pushed-left-bottom" id="heroVideoWrapper">
                    <div id="custom_banner_text">
                      <h2 class="title big-title">{{ section.settings.video1_title }}</h2>
                    </div>
                    <div class="custom_banner_p">
                      {{ section.settings.video1_subtitle }}
                    </div>
                    <div class="hero-button-wrapper">
                      <a href="/pages/apply" class="hero-apply-button" id="testBtn">Apply</a>
                    </div>
                    <div class="view-more-wrapper" style="display: none">
                      <img src="{{ 'view-more-arrow.png' | asset_url }}" class="view-more-arrow" />
                    </div>
                </div>
              
            </div>
        </div>
          

        <div>
            <div class="with-image custom_banner_text video-full-screen" aria-hidden="true" style="display: flex;justify-content: center;align-items: center;color: white;position:relative;">
                <!-- autoplay -->
                <video width="100%" height="100%" id="video-2" muted loop preload="auto" autoplay="false" poster playsinline webkit-playsinline>
                    <source type="video/mp4" src="" 
                        data-desktop-src="https://customizer.calamigosdrygoods.com/videos/video2/malibu_desktop.mp4" 
                            data-mobile-src="https://customizer.calamigosdrygoods.com/videos/video2/malibu_mobile.mp4">
                    Your browser does not support the video tag.
                </video>
                <div class="text-animation-wrapper pushed-left-bottom no-arrow">
                    <div id="custom_banner_text">
                        <h2 class="title big-title">{{ section.settings.video2_title }}</h2>
                    </div>
                    <div class="custom_banner_p">
                        {{ section.settings.video2_subtitle }}
                    </div>
                    <div class="hero-button-wrapper">
                        <a href="/pages/about" class="hero-apply-button">About</a>
                    </div>
                </div>
            </div>
        </div>

  </div>

 <script>

var TimerID_video1;
var TimerID_video2;
window.addEventListener("resize", function(){
  clearTimeout(TimerID_video1);
  clearTimeout(TimerID_video2);
});
           
function showing_video(id){
  var w = window.matchMedia("(min-width: 1024px)");
  var vid = document.getElementById(id);
  var src_desktop = jQuery(vid).find("source:lt(1)").attr("data-desktop-src");
  var src_mobile = jQuery(vid).find("source:lt(1)").attr("data-mobile-src");
  var src_current = jQuery(vid).find("source:lt(1)").attr("src");
  if (w.matches  ) {
    if( src_current!=src_desktop ){
      console.log("showing desktop");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_desktop );
      vid.load();
    }
  } else  {
    if( src_current!=src_mobile ){
      console.log("showing mobile");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_mobile );
      vid.load();
    }
  }
}

///*
function playVideos(){
  //console.log("play Videos");
  // Get all videos.
  var videos = document.querySelectorAll('video');

  // Create a promise to wait all videos to be loaded at the same time.
  // When all of the videos are ready, call resolve().
  var promise = new Promise(function(resolve) {
    var loaded = 0;

    videos.forEach(function(v) {
      v.addEventListener('loadedmetadata', function() {
        loaded++;

        if (loaded === videos.length) {
          resolve();
        }
      });
    });
  });

  // Play all videos one by one only when all videos are ready to be played.
  promise.then(function() {
    videos.forEach(function(v) {
      v.play();
    });
  });
  
}


    $(function(){
	//     addBoxAnimationToCustomBanner(); // disable by request
    });
  
    
    // not needed anymore
    function addBoxAnimationToCustomBanner(){
      
    	var $cont = $('.custom_banner_text .custom_banner_p')

        var text_arr = $cont.text().split(' ');

        for (i = 0; i < text_arr.length; i++) {
            text_arr[i] = '<span>' + text_arr[i] + ' </span>';
        }

        $cont.html(text_arr.join(''));

        $wordSpans = $cont.find('span');

        var lineArray = [],
            lineIndex = 0,
            lineStart = true,
            lineEnd = false

            $wordSpans.each(function(idx) {
                var pos = $(this).position();
                var top = pos.top;

                if (lineStart) {
                    lineArray[lineIndex] = [idx];
                    lineStart = false;

                } else {
                    var $next = $(this).next();

                    if ($next.length) {
                        if ($next.position().top > top) {
                            lineArray[lineIndex].push(idx);
                            lineIndex++;
                            lineStart = true
                        }
                    } else {
                        lineArray[lineIndex].push(idx);
                    }
                }

            });


        //console.log( lineArray)
        for (i = 0; i < lineArray.length; i++) {
            var start = lineArray[i][0],
                end = lineArray[i][1] + 1;

            /* no end value pushed to array if only one word last line*/
            if (!end) {
                $wordSpans.eq(start).wrap('<span class="line_wrap box_cover">')
            } else {
                $wordSpans.slice(start, end).wrapAll('<span class="line_wrap box_cover">');
            }

        }
    }


(function(){

    var heroWrapper = document.getElementById('heroVideoWrapper');

    window.addEventListener('load', function () {
        setMobileHeroHeight();
    });

    window.addEventListener('resize', function () {
        setMobileHeroHeight();
    });


    function setMobileHeroHeight(){
        if (window.innerWidth < 768) {
            var mobileHeight = mobileScreenHeight();
            if (mobileHeight > 0) {
                heroWrapper.style.height = mobileHeight + 'px';
            }
        } else {
            heroWrapper.style.height = '';
        }
    }

    function mobileScreenHeight(){
        return window.innerHeight;
    }

})();
  
  
  
(function(){

    // play videos only when they are visible
    var elements = [
        {
            el: document.getElementById('video-1'),
            running: false,
        },
       {
           el:  document.getElementById('video-2'),
           running: false,
       }
    ];

    window.addEventListener('scroll', function(){
        toggleVideoWhenVisible();
    });

    window.addEventListener('touchmove', function(){
        toggleVideoWhenVisible();
    });

    function toggleVideoWhenVisible(){

        if( ! INTRO_COMPLETED ) return;

        for(var i=0;i<elements.length;i++){

            var video = elements[i];
            var isVisible = isScrolledIntoView(video.el, false);

            if(isVisible && !video.running){
                video.el.play();
                video.running = true;
                console.log(video.el.id+' play');

            }else if(!isVisible && video.running){
                video.el.pause();
                video.running = false;
                console.log(video.el.id+' stop');
            }
        }
    }
    
    
    function isScrolledIntoView(el, forcedMobile) {
    
        var elementHeightInPixelsVisible = 0; //isMobile ? 150 : 50; // default is 150px from element top for desktop and for mobile its 50px
        // if(forcedMobile === true) elementHeightInPixelsVisible = 50;
    
        var rect = el.getBoundingClientRect();
        if(elementHeightInPixelsVisible > rect.height){
            elementHeightInPixelsVisible = parseInt(rect.height / 2); // if small element and visibleHeight to trigger animation is more than element height, lower it
        }
    
        var partialElementVisible = rect.bottom - (rect.bottom - elementHeightInPixelsVisible); // XXX px from element top is visible
    
        return rect.top < window.innerHeight && rect.bottom >= partialElementVisible;
    
    }
    

})();

</script>

{% schema %}
  {
    "name": "Home Page Videos",
    "settings": [
      {
        "type": "text",
        "id": "video1_title",
        "label": "Title on 1st video",
        "default" : "Custom 3D Knitwear"
      },
      {
        "type": "text",
        "id": "video1_subtitle",
        "label": "Subtitle on 1st video",
        "default" : "Technology-driven, on-demand, localized production."
      },
      {
        "type": "text",
        "id": "video2_title",
        "label": "Title on 2nd video",
        "default" : "Made in Malibu"
      },
      {
        "type": "text",
        "id": "video2_subtitle",
        "label": "Subtitle on 2nd video",
        "default" : "A world of possibilities, where technology meets sustainable lifestyle."
      }
    ]
  }
{% endschema %}	

